package com.muyu.product.domain.req;

import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 属性组中间对象 as_attribute_group
 *
 * @author Saisai
 * @date 2024-02-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class AsAttributeGroupReq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 属性编号 */
    @Excel(name = "属性编号")
    private Long attributeId;

    /**
     * 属性id集合
     */
    private List<Long> attributeIds;

    /** 分组编号 */
    @Excel(name = "分组编号")
    private Long groupId;

    //添加组内属性构造体
    public static AsAttributeGroupReq saveBuilder(AttributeGroupReq attributeGroupReq){
        return AsAttributeGroupReq.builder()
                .attributeIds(attributeGroupReq.getCheckedAttributeIds())
                .groupId(attributeGroupReq.getId())
                .createBy(SecurityUtils.getUsername())
                .createTime(new Date())
                .build();
    }

    //修改组内属性构造体
    public static AsAttributeGroupReq updateBuilder(AttributeGroupReq attributeGroupReq){
        return AsAttributeGroupReq.builder()
                .attributeIds(attributeGroupReq.getCheckedAttributeIds())
                .groupId(attributeGroupReq.getId())
                .createBy(SecurityUtils.getUsername())
                .createTime(new Date())
                .build();
    }


}
