package com.muyu.product.domain.req;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.product.domain.AttributeGroup;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 属性组对象 attribute_group
 *
 * @author muyu
 * @date 2024-02-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class AttributeGroupReq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 组名 */
    @Excel(name = "组名")
    private String name;

    private List<Long> checkedAttributeIds;

    /** 状态 */
    @Excel(name = "状态")
    private String states;


    //添加构建体
    public static AttributeGroup saveBuilder(AttributeGroupReq attributeGroupReq) {
        return AttributeGroup.builder()
                .name(attributeGroupReq.getName())
                .states(attributeGroupReq.getStates())
                .createBy(SecurityUtils.getUsername())
                .createTime(new Date())
                .build();
    }

    //修改构建体
    public static AttributeGroup updateBuilder(AttributeGroupReq attributeGroupReq) {
        return AttributeGroup.builder()
                .id(attributeGroupReq.getId())
                .name(attributeGroupReq.getName())
                .states(attributeGroupReq.getStates())
                .updateBy(SecurityUtils.getUsername())
                .updateTime(new Date())
                .build();
    }
}
