package com.muyu.product.domain.resp;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.Attribute;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.req.AttributeGroupReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @ClassName AttributeGroupResp
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/14/0014 20:46
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class AttributeGroupResp extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 组名
     */
    @Excel(name = "组名")
    private String name;

    private List<Attribute> attributeList;

    private List<Long> getAsAttributeIds;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String states;

    //创建添加属性组构建体
    public static AttributeGroupResp saveBuilder(AttributeGroupReq attributeGroupReq) {
        return AttributeGroupResp.builder()
                .name(attributeGroupReq.getName())
                .states(attributeGroupReq.getStates())
                .build();
    }


    //创建修改属性组构建体
    public static AttributeGroupResp editBuilder(AttributeGroupReq attributeGroupReq) {
        return AttributeGroupResp.builder()
                .id(attributeGroupReq.getId())
                .name(attributeGroupReq.getName())
                .states(attributeGroupReq.getStates())
                .build();
    }

    public static AttributeGroupResp createBuilder(AttributeGroupReq attributeGroupReq) {
        return AttributeGroupResp.builder()
                .name(attributeGroupReq.getName())
                .states(attributeGroupReq.getStates())
                .build();
    }

    public static AttributeGroupResp saveBuilder(AttributeGroup attributeGroup1, List<Attribute> attributes) {
        return AttributeGroupResp.builder()
                .name(attributeGroup1.getName())
                .states(attributeGroup1.getStates())
                .id(attributeGroup1.getId())
                .attributeList(attributes)
                .build();
    }
}
