package com.muyu.product.domain.resp;

import com.muyu.common.core.web.domain.TreeEntity;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.product.domain.Attribute;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.Brand;
import com.muyu.product.domain.CategoryInfo;
import com.muyu.product.domain.req.CategoryReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;
import java.util.function.Supplier;

/**
 * @ClassName CategoryResp
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/5/0005 12:35
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryResp extends TreeEntity {
    /** 主键 */
    private Long id;

    /** 品类名称 */
    private String name;

    /** 图片 */
    private String image;

    /** 是否启用 */
    private String status;
    private List<Attribute> checkAttributeList;
    private List<AttributeGroup> checkedAttributeGroupList;
    private List<Brand> brandList;


    /**
     * 保存构建体
     * @param categoryReq
     * @return
     */
    public static CategoryResp saveBuilder(CategoryReq categoryReq, Supplier<String> username){
        return CategoryResp.builder()
                .name(categoryReq.getName())
                .image(categoryReq.getImage())
                .status(categoryReq.getStatus())
                .createBy(username.get())
                .createTime(new Date())
                .build();
    }


    /**
     * 修改构建体
     * @param categoryReq
     * @return
     */
    public static CategoryResp updateBuilder(CategoryReq categoryReq,Supplier<String> username){
        return CategoryResp.builder()
                .name(categoryReq.getName())
                .image(categoryReq.getImage())
                .status(categoryReq.getStatus())
                .updateBy(username.get())
                .updateTime(new Date())
                .build();
    }



}
