package com.muyu.product.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.Address;

/**
 * 地区Mapper extends BaseMapper<>接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface AddressMapper extends BaseMapper<Address>
{
    /**
     * 查询地区
     *
     * @param id 地区主键
     * @return 地区
     */
    Address selectAddressById(Long id);

    /**
     * 查询地区列表
     *
     * @param address 地区
     * @return 地区集合
     */
    List<Address> selectAddressList(Address address);

    /**
     * 新增地区
     *
     * @param address 地区
     * @return 结果
     */
    int insertAddress(Address address);

    /**
     * 修改地区
     *
     * @param address 地区
     * @return 结果
     */
    int updateAddress(Address address);

    /**
     * 删除地区
     *
     * @param id 地区主键
     * @return 结果
     */
    int deleteAddressById(Long id);

    /**
     * 批量删除地区
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAddressByIds(Long[] ids);
}
