package com.muyu.product.mapper;

import java.util.List;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.Brand;

/**
 * 品牌Mapper extends BaseMapper<>接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface BrandMapper extends BaseMapper<Brand>
{
    /**
     * 查询品牌
     *
     * @param id 品牌主键
     * @return 品牌
     */
    Brand selectBrandById(Long id);

    /**
     * 查询品牌列表
     *
     * @param brand 品牌
     * @return 品牌集合
     */
    List<Brand> selectBrandList(Brand brand);

    /**
     * 新增品牌
     *
     * @param brand 品牌
     * @return 结果
     */
    int insertBrand(Brand brand);

    /**
     * 修改品牌
     *
     * @param brand 品牌
     * @return 结果
     */
    int updateBrand(Brand brand);

    /**
     * 删除品牌
     *
     * @param id 品牌主键
     * @return 结果
     */
    int deleteBrandById(Long id);

    /**
     * 批量删除品牌
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBrandByIds(Long[] ids);
}
