package com.muyu.product.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.product.domain.Address;
import com.muyu.product.domain.CategoryAttribute;

/**
 * 地区Service接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface IAddressService extends IService<Address>
{
    /**
     * 查询地区
     *
     * @param id 地区主键
     * @return 地区
     */
    Address selectAddressById(Long id);

    /**
     * 查询地区列表
     *
     * @param address 地区
     * @return 地区集合
     */
    List<Address> selectAddressList(Address address);

    /**
     * 新增地区
     *
     * @param address 地区
     * @return 结果
     */
    int insertAddress(Address address);

    /**
     * 修改地区
     *
     * @param address 地区
     * @return 结果
     */
    int updateAddress(Address address);

    /**
     * 批量删除地区
     *
     * @param ids 需要删除的地区主键集合
     * @return 结果
     */
    int deleteAddressByIds(Long[] ids);

    /**
     * 删除地区信息
     *
     * @param id 地区主键
     * @return 结果
     */
    int deleteAddressById(Long id);
}
