package com.muyu.product.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.product.domain.CategoryAttribute;

/**
 * 品类属性中间Service接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface ICategoryAttributeService extends IService<CategoryAttribute>
{
    /**
     * 查询品类属性中间
     *
     * @param id 品类属性中间主键
     * @return 品类属性中间
     */
    CategoryAttribute selectCategoryAttributeById(Long id);

    /**
     * 查询品类属性中间列表
     *
     * @param categoryAttribute 品类属性中间
     * @return 品类属性中间集合
     */
    List<CategoryAttribute> selectCategoryAttributeList(CategoryAttribute categoryAttribute);

    /**
     * 新增品类属性中间
     *
     * @param categoryAttribute 品类属性中间
     * @return 结果
     */
    int insertCategoryAttribute(CategoryAttribute categoryAttribute);

    /**
     * 修改品类属性中间
     *
     * @param categoryAttribute 品类属性中间
     * @return 结果
     */
    int updateCategoryAttribute(CategoryAttribute categoryAttribute);

    /**
     * 批量删除品类属性中间
     *
     * @param ids 需要删除的品类属性中间主键集合
     * @return 结果
     */
    int deleteCategoryAttributeByIds(Long[] ids);

    /**
     * 删除品类属性中间信息
     *
     * @param id 品类属性中间主键
     * @return 结果
     */
    int deleteCategoryAttributeById(Long id);
}
