package com.muyu.product.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.muyu.product.mapper.AsAttributeGroupMapper;
import com.muyu.product.domain.AsAttributeGroup;
import com.muyu.product.service.IAsAttributeGroupService;

/**
 * 属性组中间Service业务层处理
 *
 * @author Saisai
 * @date 2024-02-29
 */
@Service
public class AsAttributeGroupServiceImpl extends ServiceImpl<AsAttributeGroupMapper,AsAttributeGroup>
        implements IAsAttributeGroupService
{
    @Autowired
    private AsAttributeGroupMapper asAttributeGroupMapper;

    /**
     * 查询属性组中间
     *
     * @param id 属性组中间主键
     * @return 属性组中间
     */
    @Override
    public AsAttributeGroup selectAsAttributeGroupById(Long id)
    {
        return asAttributeGroupMapper.selectAsAttributeGroupById(id);
    }

    /**
     * 查询属性组中间列表
     *
     * @param asAttributeGroup 属性组中间
     * @return 属性组中间
     */
    @Override
    public List<AsAttributeGroup> selectAsAttributeGroupList(AsAttributeGroup asAttributeGroup)
    {
        return asAttributeGroupMapper.selectAsAttributeGroupList(asAttributeGroup);
    }

    /**
     * 新增属性组中间
     *
     * @param asAttributeGroup 属性组中间
     * @return 结果
     */
    @Override
    public int insertAsAttributeGroup(AsAttributeGroup asAttributeGroup)
    {
        asAttributeGroup.setCreateTime(DateUtils.getNowDate());
        return asAttributeGroupMapper.insertAsAttributeGroup(asAttributeGroup);
    }

    /**
     * 修改属性组中间
     *
     * @param asAttributeGroup 属性组中间
     * @return 结果
     */
    @Override
    public int updateAsAttributeGroup(AsAttributeGroup asAttributeGroup)
    {
        asAttributeGroup.setUpdateTime(DateUtils.getNowDate());
        return asAttributeGroupMapper.updateAsAttributeGroup(asAttributeGroup);
    }

    /**
     * 批量删除属性组中间
     *
     * @param ids 需要删除的属性组中间主键
     * @return 结果
     */
    @Override
    public int deleteAsAttributeGroupByIds(Long[] ids)
    {
        return asAttributeGroupMapper.deleteAsAttributeGroupByIds(ids);
    }

    /**
     * 删除属性组中间信息
     *
     * @param id 属性组中间主键
     * @return 结果
     */
    @Override
    public int deleteAsAttributeGroupById(Long id)
    {
        return asAttributeGroupMapper.deleteAsAttributeGroupById(id);
    }

    @Override
    public int deleteAsAttributeGroupByGroupId(Long id) {
        return asAttributeGroupMapper.deleteAsAttributeGroupByGroupId(id);
    }
}
