package com.muyu.product.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.DateUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.muyu.product.mapper.CategoryAttributeGroupMapper;
import com.muyu.product.domain.CategoryAttributeGroup;
import com.muyu.product.service.ICategoryAttributeGroupService;

/**
 * 品类属性组中间Service业务层处理
 *
 * @author saisai
 * @date 2024-02-29
 */
@Slf4j
@Service
public class CategoryAttributeGroupServiceImpl extends ServiceImpl<CategoryAttributeGroupMapper,CategoryAttributeGroup>
        implements ICategoryAttributeGroupService
{
    @Autowired
    private CategoryAttributeGroupMapper categoryAttributeGroupMapper;

    /**
     * 查询品类属性组中间
     *
     * @param id 品类属性组中间主键
     * @return 品类属性组中间
     */
    @Override
    public CategoryAttributeGroup selectCategoryAttributeGroupById(Long id)
    {
        return categoryAttributeGroupMapper.selectCategoryAttributeGroupById(id);
    }

    /**
     * 查询品类属性组中间列表
     *
     * @param categoryAttributeGroup 品类属性组中间
     * @return 品类属性组中间
     */
    @Override
    public List<CategoryAttributeGroup> selectCategoryAttributeGroupList(CategoryAttributeGroup categoryAttributeGroup)
    {
        return categoryAttributeGroupMapper.selectCategoryAttributeGroupList(categoryAttributeGroup);
    }

    /**
     * 新增品类属性组中间
     *
     * @param categoryAttributeGroup 品类属性组中间
     * @return 结果
     */
    @Override
    public int insertCategoryAttributeGroup(CategoryAttributeGroup categoryAttributeGroup)
    {
        categoryAttributeGroup.setCreateTime(DateUtils.getNowDate());
        return categoryAttributeGroupMapper.insertCategoryAttributeGroup(categoryAttributeGroup);
    }

    /**
     * 修改品类属性组中间
     *
     * @param categoryAttributeGroup 品类属性组中间
     * @return 结果
     */
    @Override
    public int updateCategoryAttributeGroup(CategoryAttributeGroup categoryAttributeGroup)
    {
        categoryAttributeGroup.setUpdateTime(DateUtils.getNowDate());
        return categoryAttributeGroupMapper.updateCategoryAttributeGroup(categoryAttributeGroup);
    }

    /**
     * 批量删除品类属性组中间
     *
     * @param ids 需要删除的品类属性组中间主键
     * @return 结果
     */
    @Override
    public int deleteCategoryAttributeGroupByIds(Long[] ids)
    {
        return categoryAttributeGroupMapper.deleteCategoryAttributeGroupByIds(ids);
    }

    /**
     * 删除品类属性组中间信息
     *
     * @param id 品类属性组中间主键
     * @return 结果
     */
    @Override
    public int deleteCategoryAttributeGroupById(Long id)
    {
        return categoryAttributeGroupMapper.deleteCategoryAttributeGroupById(id);
    }
}
